Index: sandbox_light/src/libraries/core/CMakeLists.txt
===================================================================
--- sandbox_light/src/libraries/core/CMakeLists.txt	(revision 5788)
+++ sandbox_light/src/libraries/core/CMakeLists.txt	(revision 5789)
@@ -20,31 +20,7 @@
 SET_SOURCE_FILES(CORE_SRC_FILES
   Clock.cc
-  ConfigFileManager.cc
-  ConfigValueContainer.cc
+  CommandLine.cc
   Core.cc
-  DynLib.cc
-  DynLibManager.cc
-  Game.cc
-  GameState.cc
-  Language.cc
   LuaState.cc
-  ObjectListBase.cc
-  OrxonoxClass.cc
-
-  # command
-  CommandLine.cc
-  Executor.cc
-
-  # hierarchy
-  Factory.cc
-  Identifier.cc
-  MetaObjectList.cc
-
-  # level
-  BaseObject.cc
-
-  # multithreading
-  Thread.cc
-  ThreadPool.cc
 )
 
@@ -55,13 +31,9 @@
   DEFINE_SYMBOL
     "CORE_SHARED_BUILD"
-  PCH_FILE
-    CorePrecompiledHeaders.h
   LINK_LIBRARIES
-    ${OGRE_LIBRARY}
     ${Boost_FILESYSTEM_LIBRARY}
     ${Boost_SYSTEM_LIBRARY} # Filesystem dependency
-    ${Boost_THREAD_LIBRARY}
-    ${Boost_DATE_TIME_LIBRARY} # Thread dependency
     ${LUA_LIBRARIES}
+    ogremath_orxonox
     tolua++_orxonox
     util
Index: sandbox_light/src/libraries/core/Clock.cc
===================================================================
--- sandbox_light/src/libraries/core/Clock.cc	(revision 5788)
+++ sandbox_light/src/libraries/core/Clock.cc	(revision 5789)
@@ -33,5 +33,5 @@
 
 #include "Clock.h"
-#include <OgreTimer.h>
+#include <ogremath/OgreTimer.h>
 
 namespace orxonox
Index: sandbox_light/src/libraries/core/CommandLine.cc
===================================================================
--- sandbox_light/src/libraries/core/CommandLine.cc	(revision 5788)
+++ sandbox_light/src/libraries/core/CommandLine.cc	(revision 5789)
@@ -31,5 +31,4 @@
 #include <algorithm>
 #include <sstream>
-#include <boost/filesystem.hpp>
 
 #include "util/Convert.h"
@@ -348,10 +347,9 @@
     {
         std::string filename = CommandLine::getValue("optionsFile").getString();
-        boost::filesystem::path filepath(Core::getConfigPath() / filename);
 
         // look for additional arguments in given file or start.ini as default
         // They will not overwrite the arguments given directly
         std::ifstream file;
-        file.open(filepath.string().c_str());
+        file.open((Core::getConfigPathString() + filename).c_str());
         std::vector<std::string> args;
         if (file)
Index: sandbox_light/src/libraries/core/Core.cc
===================================================================
--- sandbox_light/src/libraries/core/Core.cc	(revision 5788)
+++ sandbox_light/src/libraries/core/Core.cc	(revision 5789)
@@ -64,11 +64,4 @@
 #include "Clock.h"
 #include "CommandLine.h"
-#include "ConfigFileManager.h"
-#include "ConfigValueIncludes.h"
-#include "CoreIncludes.h"
-#include "DynLibManager.h"
-#include "Factory.h"
-#include "Identifier.h"
-#include "Language.h"
 #include "LuaState.h"
 
@@ -85,5 +78,4 @@
     Core* Core::singletonPtr_s  = 0;
 
-    SetCommandLineArgument(externalDataPath, "").information("Path to the external data files");
     SetCommandLineOnlyArgument(writingPathSuffix, "").information("Additional subfolder for config and log files");
     SetCommandLineArgument(settingsFile, "orxonox.ini").information("THE configuration file");
@@ -98,5 +90,5 @@
         destruction in the Core destructor.
     */
-    class CoreConfiguration : public OrxonoxClass
+    class CoreConfiguration
     {
     public:
@@ -106,13 +98,4 @@
 
         void initialise()
-        {
-            RegisterRootObject(CoreConfiguration);
-            this->setConfigValues();
-        }
-
-        /**
-            @brief Function to collect the SetConfigValue-macro calls.
-        */
-        void setConfigValues()
         {
 #ifdef NDEBUG
@@ -125,20 +108,11 @@
             const unsigned int defaultLevelShell   = 3;
 #endif
-            SetConfigValue(softDebugLevelConsole_, defaultLevelConsole)
-                .description("The maximal level of debug output shown in the console")
-                .callback(this, &CoreConfiguration::debugLevelChanged);
-            SetConfigValue(softDebugLevelLogfile_, defaultLevelLogfile)
-                .description("The maximal level of debug output shown in the logfile")
-                .callback(this, &CoreConfiguration::debugLevelChanged);
-            SetConfigValue(softDebugLevelShell_, defaultLevelShell)
-                .description("The maximal level of debug output shown in the ingame shell")
-                .callback(this, &CoreConfiguration::debugLevelChanged);
-
-            SetConfigValue(language_, Language::getInstance().defaultLanguage_)
-                .description("The language of the ingame text")
-                .callback(this, &CoreConfiguration::languageChanged);
-            SetConfigValue(bInitializeRandomNumberGenerator_, true)
-                .description("If true, all random actions are different each time you start the game")
-                .callback(this, &CoreConfiguration::initializeRandomNumberGenerator);
+            softDebugLevelConsole_ = defaultLevelConsole;
+            softDebugLevelLogfile_ = defaultLevelLogfile;
+            softDebugLevelShell_   = defaultLevelShell;
+            this->debugLevelChanged();
+
+            bInitializeRandomNumberGenerator_ = true;
+            this->initializeRandomNumberGenerator();
         }
 
@@ -159,21 +133,4 @@
             OutputHandler::setSoftDebugLevel(OutputHandler::LD_Logfile, this->softDebugLevelLogfile_);
             OutputHandler::setSoftDebugLevel(OutputHandler::LD_Shell,   this->softDebugLevelShell_);
-        }
-
-        /**
-            @brief Callback function if the language has changed.
-        */
-        void languageChanged()
-        {
-            // Read the translation file after the language was configured
-            Language::getInstance().readTranslatedLanguageFile();
-        }
-
-        /**
-            @brief Sets the language in the config-file back to the default.
-        */
-        void resetLanguage()
-        {
-            ResetConfigValue(language_);
         }
 
@@ -193,5 +150,4 @@
         int softDebugLevelLogfile_;                     //!< The debug level for the logfile
         int softDebugLevelShell_;                       //!< The debug level for the ingame shell
-        std::string language_;                          //!< The language
         bool bInitializeRandomNumberGenerator_;         //!< If true, srand(time(0)) is called
 
@@ -199,5 +155,4 @@
         boost::filesystem::path rootPath_;
         boost::filesystem::path executablePath_;        //!< Path to the executable
-        boost::filesystem::path modulePath_;            //!< Path to the modules
         boost::filesystem::path dataPath_;              //!< Path to the data file folder
         boost::filesystem::path configPath_;            //!< Path to the config file folder
@@ -208,63 +163,9 @@
     Core::Core(const std::string& cmdLine)
         // Cleanup guard for identifier destruction (incl. XMLPort, configValues, consoleCommands)
-        : identifierDestroyer_(Identifier::destroyAllIdentifiers)
-        , configuration_(new CoreConfiguration()) // Don't yet create config values!
+        : configuration_(new CoreConfiguration()) // Don't yet create config values!
         , bDevRun_(false)
     {
         // Set the hard coded fixed paths
         this->setFixedPaths();
-
-        // Create a new dynamic library manager
-        this->dynLibManager_.reset(new DynLibManager());
-
-        // Load modules
-        try
-        {
-            // We search for helper files with the following extension
-            std::string moduleextension = specialConfig::moduleExtension;
-            size_t moduleextensionlength = moduleextension.size();
-
-            // Search in the directory of our executable
-            boost::filesystem::path searchpath = this->configuration_->modulePath_;
-
-            // Add that path to the PATH variable in case a module depends on another one
-            std::string pathVariable = getenv("PATH");
-            putenv(const_cast<char*>(("PATH=" + pathVariable + ";" + configuration_->modulePath_.string()).c_str()));
-
-            boost::filesystem::directory_iterator file(searchpath);
-            boost::filesystem::directory_iterator end;
-
-            // Iterate through all files
-            while (file != end)
-            {
-                std::string filename = file->BOOST_LEAF_FUNCTION();
-
-                // Check if the file ends with the exension in question
-                if (filename.size() > moduleextensionlength)
-                {
-                    if (filename.substr(filename.size() - moduleextensionlength) == moduleextension)
-                    {
-                        // We've found a helper file - now load the library with the same name
-                        std::string library = filename.substr(0, filename.size() - moduleextensionlength);
-                        boost::filesystem::path librarypath = searchpath / library;
-
-                        try
-                        {
-                            DynLibManager::getInstance().load(librarypath.string());
-                        }
-                        catch (...)
-                        {
-                            COUT(1) << "Couldn't load module \"" << librarypath.string() << "\": " << Exception::handleMessage() << std::endl;
-                        }
-                    }
-                }
-
-                ++file;
-            }
-        }
-        catch (...)
-        {
-            COUT(1) << "An error occurred while loading modules: " << Exception::handleMessage() << std::endl;
-        }
 
         // Parse command line arguments AFTER the modules have been loaded (static code!)
@@ -293,15 +194,4 @@
             setThreadAffinity(static_cast<unsigned int>(limitToCPU));
 #endif
-
-        // Manage ini files and set the default settings file (usually orxonox.ini)
-        this->configFileManager_.reset(new ConfigFileManager());
-        this->configFileManager_->setFilename(ConfigFileType::Settings,
-            CommandLine::getValue("settingsFile").getString());
-
-        // Required as well for the config values
-        this->languageInstance_.reset(new Language());
-
-        // creates the class hierarchy for all classes with factories
-        Factory::createClassHierarchy();
 
         // Do this soon after the ConfigFileManager has been created to open up the
@@ -360,20 +250,4 @@
     }
 
-    /**
-        @brief Returns the configured language.
-    */
-    /*static*/ const std::string& Core::getLanguage()
-    {
-        return Core::getInstance().configuration_->language_;
-    }
-
-    /**
-        @brief Sets the language in the config-file back to the default.
-    */
-    /*static*/ void Core::resetLanguage()
-    {
-        Core::getInstance().configuration_->resetLanguage();
-    }
-
     /*static*/ const boost::filesystem::path& Core::getDataPath()
     {
@@ -524,5 +398,4 @@
             COUT(1) << "Running from the build tree." << std::endl;
             Core::bDevRun_ = true;
-            configuration_->modulePath_ = specialConfig::moduleDevDirectory;
         }
         else
@@ -539,13 +412,4 @@
             if (configuration_->rootPath_.empty())
                 ThrowException(General, "Could not derive a root directory. Might the binary installation directory contain '..' when taken relative to the installation prefix path?");
-
-            // Module path is fixed as well
-            configuration_->modulePath_ = configuration_->rootPath_ / specialConfig::defaultModulePath;
-
-#else
-
-            // There is no root path, so don't set it at all
-            // Module path is fixed as well
-            configuration_->modulePath_ = specialConfig::moduleInstallDirectory;
 
 #endif
@@ -626,11 +490,3 @@
         }
     }
-
-    void Core::preUpdate(const Clock& time)
-    {
-    }
-
-    void Core::postUpdate(const Clock& time)
-    {
-    }
 }
Index: sandbox_light/src/libraries/core/Core.h
===================================================================
--- sandbox_light/src/libraries/core/Core.h	(revision 5788)
+++ sandbox_light/src/libraries/core/Core.h	(revision 5789)
@@ -65,5 +65,4 @@
         typedef Loki::ScopeGuardImpl0<void (*)()> SimpleScopeGuard;
         friend class Singleton<Core>;
-        friend class Game;
 
         public:
@@ -82,6 +81,4 @@
             static int   getSoftDebugLevel(OutputHandler::OutputDevice device = OutputHandler::LD_All);
             static void  setSoftDebugLevel(OutputHandler::OutputDevice device, int level);
-            static const std::string& getLanguage();
-            static void  resetLanguage();
 
             //! Returns the path to the data files as boost::filesystem::path
@@ -107,7 +104,4 @@
             Core(const Core&); //!< Don't use (undefined symbol)
 
-            void preUpdate(const Clock& time);
-            void postUpdate(const Clock& time);
-
             void setFixedPaths();
             void setConfigurablePaths();
@@ -115,9 +109,5 @@
 
             // Mind the order for the destruction!
-            scoped_ptr<DynLibManager>     dynLibManager_;
             scoped_ptr<SignalHandler>     signalHandler_;
-            SimpleScopeGuard              identifierDestroyer_;
-            scoped_ptr<ConfigFileManager> configFileManager_;
-            scoped_ptr<Language>          languageInstance_;
             scoped_ptr<CoreConfiguration> configuration_;
 
